package ballwar.model.strategy;
import java.awt.*;
import ballwar.model.*;


/**
 * An AUpdateStrategy-based strategy whose updateState is  a no-op hence the randomly initialized ball will travel in a straight line (unless it collides or bounces). 
 */
public class StraightStrategy extends AUpdateStrategy {

  /**
	 * No-op.
	 * @param context This strategy's context.
	 */
	public void updateState(Ball context) {
  }
}
