package ballwar.model.strategy;
import java.awt.*;
import ballwar.model.*;
import util.*;

/**
 * An ANoOpStrategy-based strategy that initializes its context's velocity to zero.
 */
public class RockStrategy extends ANoOpStrategy {
  
  /**
  * Sets the context's velocity to zero.
  * @param context This strategy's context.
  */
 public void init(final Ball context) {
    context.setVelocity(new Point2DDouble(0,0));
  }  
}
